Bug 194400 - Problem with SonyEricsson GC89 GPRS/EDGE pcmcia card
Problem with SonyEricsson GC89 GPRS/EDGE pcmcia card
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
NeedsRetesting
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-07 15:28 EDT by Grzegorz
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-06 15:19:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Result of lspci -vvv command (15.77 KB, text/plain)
2006-06-07 15:28 EDT, Grzegorz
no flags Details

  None (edit)
Description Grzegorz 2006-06-07 15:28:26 EDT
Description of problem:
I have got the problem with Acer TravelMate 4152LMi laptop and GPRS/EDGE pcmcia
modem (SonyEricsson GC89). After inserting this card into pcmcia slot I can use
it (but I have to pass pci=assign-busses parameter to kernel) and I can connect
to my provider (using ppp scripts), but the transfer downloading files is very,
very slow (about 0,5 KB/s). It is not looking like problem with the connection
or with my provider; when I use this modem (and Acer TM4152LMi) under Ubuntu
LiveCD 6.06 (kernel 2.6.15) it works great (download speed about 15 KB/s). My
system is a fresh install (from downloaded iso image) of Fedora Core 5
(2.6.16-1.2096). I also notice there is a lot of error recieved packet (RX
Error) shown with ifconfig ppp0 (about 15-20% of all recieved packets).
Sorry for my English......

Version-Release number of selected component (if applicable):
kernel 2.6.16-1.2096.FC5.root (distribution kernel with patch enabling dma on my
laptop), but I also tried FC5 distribution kernel 2.6.15,

How reproducible:


Steps to Reproduce:
1.Install Fedora Core 5
2.Insert GC89 modem into pcmcia slot and connect to provider using pppd
3.
  
Actual results:
Connection is useless. Maximum download speed is about 0,5 KB/s

Expected results:

Additional info:
Comment 1 Grzegorz 2006-06-07 15:28:26 EDT
Created attachment 130700 [details]
Result of lspci -vvv command
Comment 2 Harald Hoyer 2006-06-08 05:19:52 EDT
reassigning to kernel
Comment 3 Dave Jones 2006-10-16 16:29:17 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 4 Grzegorz 2006-11-06 15:19:58 EST
Hi,

I know now that it was (and perhaps it is) the problem
with ACPI subsystem. This modem works fine when I boot FC5
with acpi=off parameter.
But unfortunetly I can not test it with a new kernel, because 
I don't have this modem right now.


Note You need to log in before you can comment on or make changes to this bug.